> For clean Markdown content of this page, append .md to this URL. For the complete documentation index, see https://learning.postman.com/llms.txt. For full content including API reference and SDK examples, see https://learning.postman.com/llms-full.txt.

# Create a team

POST https://api.getpostman.com/teams
Content-Type: application/json

[Creates](https://learning.postman.com/docs/administration/managing-your-team/create-teams/) a Postman team in your organization.


Reference: https://learning.postman.com/api-docs/api-reference/teams/create-team

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Postman API
  version: 1.0.0
paths:
  /teams:
    post:
      operationId: createTeam
      summary: Create a team
      description: >
        [Creates](https://learning.postman.com/docs/administration/managing-your-team/create-teams/)
        a Postman team in your organization.
      tags:
        - teams
      parameters:
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
        - name: identifierType
          in: header
          description: Use SCIM user and group IDs instead of Postman user IDs.
          required: false
          schema:
            $ref: '#/components/schemas/identifierType'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/createGetTeamResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateTeamRequestBadRequestError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetailStatusInstance'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/teamsError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/teamsError'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/createTeam'
servers:
  - url: https://api.getpostman.com
    description: https://api.getpostman.com
  - url: https://api.eu.postman.com
    description: https://api.eu.postman.com
components:
  schemas:
    identifierType:
      type: string
      title: identifierType
    createTeam:
      type: object
      properties:
        name:
          type: string
          description: The team's name. Accepts only alphanumeric characters and spaces.
        description:
          type:
            - string
            - 'null'
          description: The team's description.
      title: createTeam
    CreateGetTeamResponseTeamCreatedBy:
      oneOf:
        - type: integer
        - type: string
      description: The user ID of the user who created the team.
      title: CreateGetTeamResponseTeamCreatedBy
    CreateGetTeamResponseTeam:
      type: object
      properties:
        createdAt:
          type: string
          format: date-time
          description: The date and time at which the team was created.
        updatedAt:
          type: string
          format: date-time
          description: The date and time at which the team was last updated.
        id:
          type: integer
          description: The team's ID.
        name:
          type: string
          description: The team's name.
        handle:
          type: string
          description: The team's handle.
        description:
          type: string
          description: A description about the team.
        organizationId:
          type: integer
          description: The team's organization ID.
        createdBy:
          $ref: '#/components/schemas/CreateGetTeamResponseTeamCreatedBy'
          description: The user ID of the user who created the team.
        enabled:
          type: boolean
          description: If true, the team is active.
      description: Information about the team.
      title: CreateGetTeamResponseTeam
    createGetTeamResponse:
      type: object
      properties:
        team:
          $ref: '#/components/schemas/CreateGetTeamResponseTeam'
          description: Information about the team.
      title: createGetTeamResponse
    TeamsErrorDetailError:
      type: object
      properties:
        name:
          type: string
          description: The error name.
        message:
          type: string
          description: The error message.
      description: Information about the error.
      title: TeamsErrorDetailError
    teamsErrorDetail:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/TeamsErrorDetailError'
          description: Information about the error.
      description: An explanation about the problem.
      title: teamsErrorDetail
    TeamsErrorDetailInvalidEntriesResultItemsEntityId:
      oneOf:
        - type: integer
        - type: string
      description: The entity ID.
      title: TeamsErrorDetailInvalidEntriesResultItemsEntityId
    TeamsErrorDetailInvalidEntriesResultItems:
      type: object
      properties:
        entityType:
          type: string
          description: The entity type.
        entityId:
          $ref: >-
            #/components/schemas/TeamsErrorDetailInvalidEntriesResultItemsEntityId
          description: The entity ID.
        role:
          type:
            - string
            - 'null'
          description: The assigned role.
        status:
          type: string
          description: The `Invalid` response status.
        reason:
          type: string
          description: The reason for the error.
      title: TeamsErrorDetailInvalidEntriesResultItems
    teamsErrorDetailInvalidEntries:
      type: object
      properties:
        error:
          type: string
          description: The error message.
        result:
          type: array
          items:
            $ref: '#/components/schemas/TeamsErrorDetailInvalidEntriesResultItems'
          description: A list of invalid entities.
      description: An explanation about the problem.
      title: teamsErrorDetailInvalidEntries
    TeamsErrorDetail:
      oneOf:
        - $ref: '#/components/schemas/teamsErrorDetail'
        - $ref: '#/components/schemas/teamsErrorDetailInvalidEntries'
      title: TeamsErrorDetail
    teamsError:
      type: object
      properties:
        type:
          type: string
          format: uri-reference
          description: >-
            The [URI reference](https://www.rfc-editor.org/rfc/rfc3986) that
            identifies the type of problem.
        status:
          type: integer
          description: The HTTP status code generated by the origin server.
        title:
          type: string
          description: A short summary of the problem.
        detail:
          $ref: '#/components/schemas/TeamsErrorDetail'
        instance:
          type: string
          description: >-
            The URI reference that identifies the specific occurrence of the
            problem.
      title: teamsError
    commonErrorTypeTitleDetailStatusInstance:
      type: object
      properties:
        type:
          type: string
          format: uri-reference
          description: >-
            The [URI reference](https://www.rfc-editor.org/rfc/rfc3986) that
            identifies the type of problem.
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: An explanation about the problem.
        status:
          type: integer
          description: The HTTP status code generated by the origin server.
        instance:
          type: string
          description: >-
            The URI reference that identifies the specific occurrence of the
            problem.
      title: commonErrorTypeTitleDetailStatusInstance
    CreateTeamRequestBadRequestError:
      oneOf:
        - $ref: '#/components/schemas/teamsError'
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatusInstance'
      title: CreateTeamRequestBadRequestError
  securitySchemes:
    PostmanApiKey:
      type: apiKey
      in: header
      name: x-api-key
    scimApiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        A valid [SCIM API
        key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key)
        for calls to SCIM endpoints.
    basicAuth:
      type: http
      scheme: basic

```

## Examples

### Successful Response



**Request**

```json
undefined
```

**Response**

```json
{
  "team": {
    "createdAt": "2025-02-26T08:17:42.000Z",
    "updatedAt": "2025-02-26T08:17:42.000Z",
    "id": 123,
    "name": "Testing Team",
    "handle": "testing-team",
    "description": "API testing team.",
    "organizationId": 1,
    "createdBy": 12345678,
    "enabled": true
  }
}
```

**SDK Code**

```python Successful Response
import requests

url = "https://api.getpostman.com/teams"

headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, headers=headers)

print(response.json())
```

```javascript Successful Response
const url = 'https://api.getpostman.com/teams';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: undefined
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Successful Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/teams"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Successful Response
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/teams")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'

response = http.request(request)
puts response.read_body
```

```java Successful Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.getpostman.com/teams")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .asString();
```

```php Successful Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.getpostman.com/teams', [
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Successful Response
using RestSharp;

var client = new RestClient("https://api.getpostman.com/teams");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
IRestResponse response = client.Execute(request);
```

```swift Successful Response
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/teams")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Create a Team



**Request**

```json
{
  "name": "Testing Team",
  "description": "API testing team."
}
```

**Response**

```json
{
  "team": {
    "createdAt": "2025-02-26T08:17:42.000Z",
    "updatedAt": "2025-02-26T08:17:42.000Z",
    "id": 123,
    "name": "Testing Team",
    "handle": "testing-team",
    "description": "API testing team.",
    "organizationId": 1,
    "createdBy": 12345678,
    "enabled": true
  }
}
```

**SDK Code**

```python Create a Team
import requests

url = "https://api.getpostman.com/teams"

payload = {
    "name": "Testing Team",
    "description": "API testing team."
}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Create a Team
const url = 'https://api.getpostman.com/teams';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"name":"Testing Team","description":"API testing team."}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Create a Team
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/teams"

	payload := strings.NewReader("{\n  \"name\": \"Testing Team\",\n  \"description\": \"API testing team.\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Create a Team
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/teams")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": \"Testing Team\",\n  \"description\": \"API testing team.\"\n}"

response = http.request(request)
puts response.read_body
```

```java Create a Team
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.getpostman.com/teams")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": \"Testing Team\",\n  \"description\": \"API testing team.\"\n}")
  .asString();
```

```php Create a Team
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.getpostman.com/teams', [
  'body' => '{
  "name": "Testing Team",
  "description": "API testing team."
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Create a Team
using RestSharp;

var client = new RestClient("https://api.getpostman.com/teams");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"name\": \"Testing Team\",\n  \"description\": \"API testing team.\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Create a Team
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "name": "Testing Team",
  "description": "API testing team."
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/teams")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```